Skip to main content

POST /route_planner/2.0.0

2GIS Navigation API (6.0.0)

Algorithms

Smart planning for reachability zone.

Finding the shortest path that passes through every edge of a given graph.

query Parameters
key
required
string

Developer API key

Request Body schema: */*
required

Request parameters

Array of RoadFilter (objects) or null
WGS84Point (object) or null
string or null <uint64>

Start time in UTC (uint64 as string).

Locale (string) or null
Array of objects (navi_models__route_planner__request__GeometryObject)

Responses

Response Schema: application/json
ResultItem (object) or null

Routing result.

boolean or null
Default: true

Success flag. For code 200 true.

string or null

Error message.

Response samples

Content type
application/json
{
  • "route": {
    • "id": "string",
    • "route_id": "string",
    • "type": "carrouting",
    • "algorithm": "string",
    • "total_distance": 0,
    • "total_duration": 0,
    • "reliability": 1,
    • "ui_total_distance": {
      },
    • "ui_total_duration": "string",
    • "filter_road_types": [
      ],
    • "begin_pedestrian_path": {
      },
    • "maneuvers": [
      ],
    • "waypoints": [
      ],
    • "altitudes_info": {
      },
    • "route_points": [
      ],
    • "are_locked_roads_ignored": true,
    • "requested_hard_filters": [
      ]
    },
  • "success": true,
  • "error_message": "string"
}